{ config, pkgs, ... }:
{
  # https://discourse.nixos.org/t/how-to-set-gnome-a-k-a-gdm-greeter-a-k-a-lockscreen-login-background-a-k-a-wallpaper/14289

  programs.dconf.enable = true;

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    dconf.settings = {
        "org/gnome/desktop/background" = {
            "picture-uri" = "/home/yoda/.config/background";
            "picture-uri-dark" = "/home/yoda/.config/background";
        };
    };
    home.file.".config/background".source = "${../assets/img/wallpaper.jpg}";
  };
}
